# elimino tutte le occorenze di MYPATTERN dai file di testo
LOGFILE=/tmp/myprogram.log
OUTDIR="nuovi_files"
MYPATTERN='errore'

if [ $# -eq 0 ]; then
    echo "Usage: $0 file1 ..."
    exit 1
fi


mkdir -p $OUTDIR

for i in $@; 
do 
    #check
    if [ ! -f "$i" ]; then
        echo "Only files are accepted ($i)"
        continue
    fi

    # convert
    echo -n "convert ${i}: "
    cat "$i" | grep -v $MYPATTERN > "$OUTDIR/$i"  2>> $LOGFILE
    
    # result
    if [ $? -eq 0 ]; then
        msg="File converted successfully"
    else
        msg="An error occurred (view $LOGFILE )"
    fi
    echo "$msg"
done

exit 0